Page MenuHomePhabricator

Provide HD logos for all Wikibooks
Closed, DuplicatePublic

Description

Wikibooks with no HD logo:

urbanecm@notebook ~/unsynced/git/wmf/gerrit/operations/mediawiki-config/static/images/project-logos   
$ grep -vf <(ls *wikibooks* | grep 1.5 | cut -d - -f 1) ../../../dblists/wikibooks.dblist
aawikibooks
afwikibooks
akwikibooks
angwikibooks
arwikibooks
astwikibooks
aswikibooks
aywikibooks
azwikibooks
bgwikibooks
biwikibooks
bmwikibooks
bnwikibooks
bowikibooks
bswikibooks
cawikibooks
chwikibooks
cowikibooks
cvwikibooks
cywikibooks
dawikibooks
elwikibooks
eowikibooks
etwikibooks
euwikibooks
fawikibooks
frwikibooks
fywikibooks
gawikibooks
glwikibooks
gnwikibooks
gotwikibooks
guwikibooks
hiwikibooks
hrwikibooks
hywikibooks
iawikibooks
idwikibooks
iewikibooks
iswikibooks
jawikibooks
kawikibooks
kkwikibooks
kmwikibooks
knwikibooks
kowikibooks
kswikibooks
kuwikibooks
kywikibooks
lawikibooks
lbwikibooks
liwikibooks
lnwikibooks
ltwikibooks
lvwikibooks
mgwikibooks
miwikibooks
mkwikibooks
mlwikibooks
mnwikibooks
mrwikibooks
mswikibooks
mywikibooks
nahwikibooks
nawikibooks
ndswikibooks
newikibooks
nlwikibooks
nowikibooks
ocwikibooks
pawikibooks
plwikibooks
pswikibooks
ptwikibooks
quwikibooks
rmwikibooks
rowikibooks
ruwikibooks
sawikibooks
sewikibooks
simplewikibooks
siwikibooks
skwikibooks
slwikibooks
sqwikibooks
suwikibooks
svwikibooks
swwikibooks
tawikibooks
tewikibooks
tgwikibooks
thwikibooks
tkwikibooks
tlwikibooks
ttwikibooks
ugwikibooks
ukwikibooks
uzwikibooks
vowikibooks
wawikibooks
xhwikibooks
yowikibooks
zawikibooks
zh_min_nanwikibooks
zhwikibooks
zuwikibooks

Old description:
Unlike Wikipedia, Wikibooks on a high-density screen shows a normal logo. The text on logo looks noticeably bad. We need versions for 1.5x and 2x.

Event Timeline

putnik created this task.Oct 5 2017, 3:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 5 2017, 3:20 PM
tomasz triaged this task as Low priority.Oct 18 2017, 8:35 PM
tomasz added a comment.EditedOct 18 2017, 9:01 PM

I'm quite happy to help out with this task, but due to time restrictions, will only be able to work on a couple (likely 1-3) logos at a time, so if anyone feels like jumping in, please do.

In terms of necessity, I think we ought to try to provide logos based on how popular each Wikibooks project is, ie. the most visited projects should get their logos first. Below is a list of the 25 most visited Wikibooks projects sorted by number of page views as of September 2017:

  • English (en);
  • German (de);
  • Spanish (es);
  • Japanese (ja)
  • French (fr);
  • Portuguese (pt);
  • Russian (ru);
  • Polish (pl);
  • Italian (it);
  • Dutch (nl);
  • Indonesian (id);
  • Thai (th);
  • Chinese (zh);
  • Hebrew (he);
  • Finnish (fi);
  • Hungarian (hu);
  • Arabic (ar);
  • Tagalog (tl);
  • Swedish (sv);
  • Turkish (tr);
  • Persian (fa);
  • Czech (cs);
  • Korean (ko);
  • Vietnamese (vi);
  • Hindi (hi).

These 25 projects received 96.3% of the total Wikibooks page views in September 2017, so theoretically providing high-density logos for them would affect the highest number of visitors.

Change 385094 had a related patch set uploaded (by Odder; owner: Odder):
[operations/mediawiki-config@master] Add high-density logos for the English Wikibooks

https://gerrit.wikimedia.org/r/385094

Change 385094 merged by jenkins-bot:
[operations/mediawiki-config@master] Add high-density logos for the English Wikibooks

https://gerrit.wikimedia.org/r/385094

Now that mediawiki supports svg with fallback to png, this should be changed to support svg.

See T178942

Urbanecm renamed this task from Add Wikibooks logos for high density screens to T150618 Provide HD logos for all Wikibooks.Aug 24 2018, 8:57 PM
Urbanecm updated the task description. (Show Details)
Restricted Application added subscribers: jeblad, Cosine02, Base, revi. · View Herald TranscriptAug 24 2018, 8:59 PM

Change 455240 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Upload HD logos for various wikibooks

https://gerrit.wikimedia.org/r/455240

Change 455241 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Use HD logos for various Wikibooks

https://gerrit.wikimedia.org/r/455241

Urbanecm updated the task description. (Show Details)Aug 24 2018, 9:22 PM
Urbanecm added a subscriber: Urbanecm.

I've added HD logos to all projects from @tomasz list minus wikis that have no file like Wikibooks-logo-hi.svg minus wiki that have different Wikibooks-logo-hi.svg file than https://en.wikipedia.org/static/images/project-logos/hiwikibooks.png .

Urbanecm renamed this task from T150618 Provide HD logos for all Wikibooks to Provide HD logos for all Wikibooks.Aug 24 2018, 9:24 PM
Urbanecm claimed this task.
Urbanecm added a project: User-Urbanecm.
Urbanecm moved this task from Backlog to To deploy - SWAT necessary on the User-Urbanecm board.

Change 455240 merged by jenkins-bot:
[operations/mediawiki-config@master] Upload HD logos for various wikibooks

https://gerrit.wikimedia.org/r/455240

Mentioned in SAL (#wikimedia-operations) [2018-08-29T11:42:42Z] <hashar@deploy1001> Synchronized static/images/project-logos: Upload HD logos for various wikibooks - T177506 (duration: 00m 55s)

Change 455241 merged by jenkins-bot:
[operations/mediawiki-config@master] Use HD logos for various Wikibooks

https://gerrit.wikimedia.org/r/455241

Mentioned in SAL (#wikimedia-operations) [2018-08-29T11:46:40Z] <hashar@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Use HD logos for various Wikibooks - T177506 (duration: 00m 56s)

Urbanecm removed Urbanecm as the assignee of this task.Aug 29 2018, 11:53 AM
Urbanecm moved this task from To deploy - scheduled for SWAT to Later on the User-Urbanecm board.

This easy part was done.

^^ This can be all done under one task, no need for separate tasks by project family - merged project list to the parent task ^^